List / search inventory holds
Returns a list of Hold objects. Cross-merchant by design — filter by merchant_id or
product_id/sku to scope to a specific merchant.
Authorizations
Query Parameters
Using the filtering syntax, you may filter the results using the following fields:
id— hold_idmerchant_idwarehouse_idproduct_idlocation_idlot_idlot_numberreason_code— exact match (does NOT roll up to parent)held_at— supports{from:...},{to:...}range syntaxstatus—activeorreleased(onlyeqandinoperators supported)
Default sort is descending by id (sort=-id) — PRIMARY-key backed and
chronologically equivalent to held_at for unreleased rows under the canonical
insert path. Pass sort=-held_at explicitly if your dataset includes backfilled
or timestamp-corrected rows where insert order diverges from held_at.
Using the sorting syntax, the following fields are available for sorting:
idheld_at
Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the Location object to be included in the response.
basic, all, label, priority, qty_on_hand, qty_putaway, qty_unreserved, qty_reserved, qty_locked, is_temp, is_pickable, is_type_auto, created_at, updated_at, last_cyclecount_at, tags, lot, product, rack, slot_type Specify additional fields of the Lot object to be included in the response.
basic, all, id, lot_number, origination_date, expiration_date, is_expired, is_active, lot_number_input, expiration_input, sort_value, days_until_expiration, sort_direction, group_value, created_at, updated_at, created_by, lot_type, product Specify additional fields of the Requester object (the entity that placed the hold) to be included in the response. See the selecting fields page for more information.
all Specify additional fields of the Requester object (the entity that released the hold) to be included in the response. See the selecting fields page for more information.
all If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
List of Hold objects.